Name:		editra
Version:	0.7.20
Release:	%mkrel 2
Summary:	A developer's text editor

Group:		Editors
License:	GPLv2+
URL:		http://editra.org/

Source0:	http://editra.org/uploads/src/Editra-%{version}.tar.gz

BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	wxPythonGTK

Requires:	wxPython
Requires:	python

%description
Editra is a cross-platform text editor with an implementation that
focuses on creating an easy to use interface and features that aid
in code development. Currently it supports syntax highlighting and
variety of other useful features for over 60 programming languages.

%prep
%setup -qn Editra-%{version}

%build
%{__python} setup.py build

%install

%{__python} setup.py install -O1 --skip-build --root %{buildroot} --install-purelib=%{py_platsitedir}
chmod a+r %{buildroot}%{py_platsitedir}/*/*
%__mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Editra
MimeType=text/plain;
GenericName=Editra
GenericName[es]=Editra
Comment=Text Editor
Comment[es]=Editor de Texto
Exec=editra
Icon=/%{python_sitearch}/Editra/pixmaps/editra.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Development;TextEditor;
EOF

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{python_sitearch}/Editra-%{version}-py*.egg-info
%{python_sitearch}/Editra/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.7.20-2.mga3
+ Revision: 349502
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 vaci0 <vaci0> 0.7.20-1.mga3
+ Revision: 344138
- Update to version 0.7.20

* Sat Sep 08 2012 vaci0 <vaci0> 0.7.12-1.mga3
+ Revision: 289698
-Updated to version 0.7.12

* Sat Aug 04 2012 vaci0 <vaci0> 0.7.08-2.mga3
+ Revision: 278405
- Fixed Categories Development in .desktop file

* Sat Jul 28 2012 vaci0 <vaci0> 0.7.08-1.mga3
+ Revision: 275113
- Updated to 0.7.08 version
- Removed obsolete defattr call in %%files
- Simplified file instalation with one line for all files in %%files.

* Tue Jul 10 2012 juancho <juancho> 0.7.01-1.mga3
+ Revision: 269184
- Added back BR wxPythonGTK
- Changed macro %%{python_sitelib} for %%{python_sitearch} so it builds on x86_64
- Removed all .mo individual entries in %%files for a generic one for all of them
- Renamed spec to lower case
- Renamed to lower case

  + vaci0 <vaci0>
    - Fix BuildRequires
    - Fix path to icon in .desktop
    - Fix name in lowercase
    - imported package Editra

